### Name: zeta2.coef
### Title: Computes the Zeta squared coefficient for variable subset
###   selection
### Aliases: zeta2.coef
### Keywords: manip

### ** Examples


## ---------------------------------------------------------------

## 1) A Linear Discriminant Analysis example with a very small data set. 
## We considered the Iris data and three groups, 
## defined by species (setosa, versicolor and virginica).
## Both the 'iris' and the 'iris3' R objects are used, for convenience in  
## computing the Total matrix (T=irismat) and the Effects matrix (H=irish).

data(iris)
data(iris3) 
irismat <-149*var(iris[,1:4])
weights<-c(49,49,49)
irish <- irismat - matrix(weights%*% t(apply(iris3,3,var)),4,4)
zeta2.coef(irismat,H=irish,r=2,c(1,3))
## [1] 0.9211501

## ---------------------------------------------------------------

## 2) An example computing the value of the zeta_2 criterion for two  
## subsets produced when the anneal function attempted to optimize  
## the ccr1_2 criterion (using an absurdly small number of iterations).

ccr1results<-anneal(irismat,2,nsol=2,niter=2,criterion="ccr12",H=irish,r=2)
zeta2.coef(irismat,H=irish,r=2,ccr1results$subsets)

##              Card.2
##Solution 1 0.9105021
##Solution 2 0.9161813

## ---------------------------------------------------------------




